#!/bin/bash

DIR=dat

if [ "$1" == "" -o "$2" == "" ]; then
    echo "$0: syntax is $0 n K"
    exit 1
fi

KNPn=$1
KNPK=$2

DAT=$DIR/knp-${KNPn}_${KNPK}.dat
echo "param n := $KNPn;" > $DAT
echo "param K := $KNPK;" >> $DAT

if [ ! -f $DAT ]; then
    echo "$0: can't read $DAT"
    exit 2
fi

ln -sf $DAT knp.dat

cat knp.run | time ampl

